org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Interface DumpSupported<T extends PageLockDump>

All Known Implementing Classes:
  LockLog, LockStack, PageLockTracker, SharedPageLockTracker

    public interface DumpSupported<T extends PageLockDump>

Interface for all page lock tracker entries which support dumping.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `acquireSafePoint()`
`T` `dump()` Create dump.
`IgniteFuture<T>` `dumpSync()` Create dump async.
`boolean` `releaseSafePoint()`

### Method Detail

#### acquireSafePoint

    boolean acquireSafePoint()

#### releaseSafePoint

    boolean releaseSafePoint()

#### dump

    T dump()

Create dump.

#### dumpSync

    IgniteFuture<T> dumpSync()

Create dump async.

Returns:
  Ignite future.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021